Bug#594868: Still applies

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#594868: Still applies

Frank Lichtenheld
On Wed, 30 Mar 2016 01:52:40 +0200 Frank Lichtenheld <[hidden email]> wrote:
> This bug still applies.
> A more recent example would be
> https://packages.debian.org/jessie-backports/libapache2-mod-security2
>
> It depends on apache2-api-20120211 which is provided in jessie, but
> the page in jessie-backports doesn't reflect that.

I looked a bit further into this. It basically boils down to the
horrible function Packages::Search::read_entry_simple() which is much
too terse and too cryptic in its return value. It should be completely
reimplemented. Which is not that bad since it is only used in two
places in the code anyway.

Regards,
  Frank

--
Frank Lichtenheld <[hidden email]>